Show / Hide Table of Contents

# Interface IVoiceState

Represents a user's voice connection status.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IVoiceState

### Properties

| Improve this Doc View Source

#### IsDeafened

Gets a value that indicates whether this user is deafened by the guild.

##### Declaration

    bool IsDeafened { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user is deafened (i.e. not permitted to listen to or speak to others) by the guild; otherwise `false`.

| Improve this Doc View Source

#### IsMuted

Gets a value that indicates whether this user is muted (i.e. not permitted to speak via voice) by the guild.

##### Declaration

    bool IsMuted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user is muted by the guild; otherwise `false`.

| Improve this Doc View Source

#### IsSelfDeafened

Gets a value that indicates whether this user has marked themselves as deafened.

##### Declaration

    bool IsSelfDeafened { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user has deafened themselves (i.e. not permitted to listen to or speak to others); otherwise `false`.

| Improve this Doc View Source

#### IsSelfMuted

Gets a value that indicates whether this user has marked themselves as muted (i.e. not permitted to speak via voice).

##### Declaration

    bool IsSelfMuted { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user has muted themselves; otherwise `false`.

| Improve this Doc View Source

#### IsStreaming

Gets a value that indicates if this user is streaming in a voice channel.

##### Declaration

    bool IsStreaming { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the user is streaming; otherwise `false`.

| Improve this Doc View Source

#### IsSuppressed

Gets a value that indicates whether the user is muted by the current user.

##### Declaration

    bool IsSuppressed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if the guild is temporarily blocking audio to/from this user; otherwise `false`.

| Improve this Doc View Source

#### VoiceChannel

Gets the voice channel this user is currently in.

##### Declaration

    IVoiceChannel VoiceChannel { get; }

##### Property Value

Type | Description
--- | ---
IVoiceChannel | A generic voice channel object representing the voice channel that the user is currently in; `null` if none.

| Improve this Doc View Source

#### VoiceSessionId

Gets the unique identifier for this user's voice session.

##### Declaration

    string VoiceSessionId { get; }

##### Property Value

Type | Description
--- | ---
System.String |